.TH RQWORKER "1" "User Commands"
.SH NAME
rqworker \- Command line monitor to start an RQ worker. 
.SH SYNOPSIS
.B rqworker [\fI\,OPTIONS\/\fR] [\fI\,QUEUES\/\fR]...
.SH DESCRIPTION
.IP
rqworker is a command\-line monitor to start an RQ worker. It is part of python-rq module package.
A worker is a Python process that typically runs in the background and exists solely as a
work horse to perform lengthy or blocking tasks that you don’t want to perform inside web processes.
.SH OPTIONS
.TP
\fB\-b\fR, \fB\-\-burst\fR
Run in burst mode (quit after all work is done)
.TP
\fB\-\-logging_level\fR\ \fI\TEXT \fR
Set logging level
.TP
\fB\-\-log\-format\fR\ \fI\TEXT \fR
Set the format of the logs
.TP
\fB\-\-date\-format\fR\ \fI\TEXT \fR
Set the date format of the logs
.TP
\fB\-n, \-\-name \fR\ \fI\TEXT \fR
Specify a different name
.TP
\fB\-\-results\-ttl\fR\ \fI\INTEGER \fR
Default results timeout to be used
.TP
\fB\-\-worker\-ttl\fR\ \fI\INTEGER \fR
Default worker timeout to be used
.TP
\fB\-\-maintenance-interval\-ttl\fR\ \fI\INTEGER \fR
Maintenance task interval (in seconds) to be used
.TP
\fB\-\-job\-monitoring\-interval\fR\ \fI\INTEGER \fR
Default job monitoring interval to be used
.TP
\fB\-\-disable\-job\-desc\-logging \fR
Turn off description logging.
.TP
\fB\-v, \-\-verbose \fR
Show more output
.TP
\fB\-q, --quiet \fR
Show less output
.TP
\fB\-\-sentry\-ca\-certs\fR\ \fI\TEXT \fR
Path to CRT file for Sentry DSN
.TP
\fB\-\-sentry\-debug\fR\ \fI\TEXT \fR
Enable debug
.TP
\fB\-\-sentry\-dsn\fR\  \fI\TEXT\fBR
Report exceptions to this Sentry DSN
.TP
\fB\-\-exception-handler\fR \fI\TEXT\fR
Exception handler(s) to use
.TP
\fB\-\-pid\fR\  \fI\TEXT\fR
Write the process ID number to a file at the specified path
.TP
\fB\-d, \-\-disable\-default\-exception\-handler\fR
Disable RQ's default exception handler
.TP
\fB\-\-max-jobs\fR \fIINTEGER\fR
Maximum number of jobs to execute
.TP
\fB\-\-max-idle-time\fR \fIINTEGER\fR
Maximum seconds to stay alive without jobs to execute
.TP
\fB\-s, \-\-with\-scheduler\fR
Run worker with scheduler
.TP
\fB\-S, \-\-serializer\fR \fITEXT\fR
Run worker with custom serializer
.TP
\fB\-ds, \-\-dequeue-strategy\fR \fITEXT\fR
Sets a custom stratey to dequeue from multiple queues
.TP
\fB\-S, \-\-serializer\fR \fITEXT\fR
Path to serializer, defaults to rq.serializers.DefaultSerializer
.TP
\fB\-P, \-\-path\fR \fITEXT\fR
Specify the import path.
.TP
\fB\-\-connection\-class\fR \fITEXT\fR
Redis client class to use
.TP
\fB\-\-queue\-class\fR \fITEXT\fR
RQ Queue class to use
.TP
\fB\-j, \-\-job\-class\fR \fITEXT\fR\
RQ Job class to use
.TP
\fB\-w, \-\-worker\-class\fR\ \fITEXT\fR
RQ Worker class to use
.TP
\fB\-c, \-\-config\fR \fITEXT\fR
Module containing RQ settings.
.TP
\fB\-u, \-\-url\fR \fITEXT\fR
URL describing Redis connection details.
.TP
\fB\-\-help\fR
Show help message and exit.
.SH SEE ALSO
.BR rq(1),
.BR rqinfo(1),
.br
.UR https://python-rq.org/docs/
Full rq documentation
.UE
